//
// UserUpdate.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct UserUpdate: Codable {

    public var firstName: String
    public var lastName: String
    public var isActive: Bool
    public var avatarId: UUID?
    public var email: String
    public var password: String?
    public var groupIds: [Int]
    public var roleId: Int

    public init(firstName: String, lastName: String, isActive: Bool, avatarId: UUID? = nil, email: String, password: String? = nil, groupIds: [Int], roleId: Int) {
        self.firstName = firstName
        self.lastName = lastName
        self.isActive = isActive
        self.avatarId = avatarId
        self.email = email
        self.password = password
        self.groupIds = groupIds
        self.roleId = roleId
    }

    public enum CodingKeys: String, CodingKey { 
        case firstName = "first_name"
        case lastName = "last_name"
        case isActive = "is_active"
        case avatarId = "avatar_id"
        case email
        case password
        case groupIds = "group_ids"
        case roleId = "role_id"
    }

}
